Skip to content
Get started

Get Instrument Analyst Consensus

GET/v1/instruments/{instrument_id}/analyst-reporting

Retrieves analyst ratings and price targets for an instrument.

Path ParametersExpand Collapse
instrument_id: InstrumentIDOrSymbol

OEMS instrument UUID

formatuuid
Query ParametersExpand Collapse
from: optional string

The start date for the query range, inclusive (YYYY-MM-DD)

formatdate
to: optional string

The end date for the query range, inclusive (YYYY-MM-DD)

formatdate
ReturnsExpand Collapse
data: InstrumentAnalystConsensus { date, distribution, price_target, rating }

Aggregated analyst consensus metrics

date: string

The date the consensus snapshot was generated

formatdate
distribution: optional AnalystDistribution { buy, hold, sell, 2 more }

Count of individual analyst recommendations by category

buy: number

Number of buy recommendations

formatint64
hold: number

Number of hold recommendations

formatint64
sell: number

Number of sell recommendations

formatint64
strong_buy: number

Number of strong buy recommendations

formatint64
strong_sell: number

Number of strong sell recommendations

formatint64
price_target: optional PriceTarget { average, currency, high, low }

Aggregated analyst price target statistics

average: string

Average analyst price target

currency: string

ISO 4217 currency code of the price targets

high: string

Highest analyst price target

low: string

Lowest analyst price target

rating: optional AnalystRating

Consensus analyst rating

One of the following:
"STRONG_BUY"
"BUY"
"HOLD"
"SELL"
"STRONG_SELL"

Get Instrument Analyst Consensus

curl https://api.clearstreet.com/v1/instruments/$INSTRUMENT_ID/analyst-reporting \
    -H "Authorization: Bearer $API_KEY"
{
  "data": {
    "date": "2025-10-01",
    "distribution": {
      "buy": 20,
      "hold": 3,
      "sell": 1,
      "strong_buy": 18,
      "strong_sell": 0
    },
    "price_target": {
      "average": "240.00",
      "currency": "USD",
      "high": "275.00",
      "low": "190.00"
    },
    "rating": "BUY"
  },
  "error": null,
  "metadata": {
    "request_id": "9e0f1a2b-3c4d-5e6f-7890-1a2b3c4d5e6f"
  }
}
{
  "error": {
    "code": 404,
    "message": "Instrument not found: AAP"
  },
  "metadata": {
    "request_id": "fa8cc9b2-fbf0-4f5b-8ce3-b3205b9f85f2"
  }
}
Returns Examples
{
  "data": {
    "date": "2025-10-01",
    "distribution": {
      "buy": 20,
      "hold": 3,
      "sell": 1,
      "strong_buy": 18,
      "strong_sell": 0
    },
    "price_target": {
      "average": "240.00",
      "currency": "USD",
      "high": "275.00",
      "low": "190.00"
    },
    "rating": "BUY"
  },
  "error": null,
  "metadata": {
    "request_id": "9e0f1a2b-3c4d-5e6f-7890-1a2b3c4d5e6f"
  }
}
{
  "error": {
    "code": 404,
    "message": "Instrument not found: AAP"
  },
  "metadata": {
    "request_id": "fa8cc9b2-fbf0-4f5b-8ce3-b3205b9f85f2"
  }
}